<?php

namespace Drupal\acquia_contenthub\EventSubscriber\SerializeContentField;

use Drupal\acquia_contenthub\AcquiaContentHubEvents;
use Drupal\acquia_contenthub\Event\SerializeCDFEntityFieldEvent;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class PasswordFieldSerializer extends FallbackFieldSerializer implements EventSubscriberInterface {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents() {
    $events[AcquiaContentHubEvents::SERIALIZE_CONTENT_ENTITY_FIELD][] = [
      'onSerializeContentField',
      5,
    ];
    return $events;
  }

  /**
   * Manipulate the password properties.
   *
   * @param \Drupal\acquia_contenthub\Event\SerializeCDFEntityFieldEvent $event
   *   The content entity field serialization event.
   */
  public function onSerializeContentField(SerializeCDFEntityFieldEvent $event) {
    if ($event->getField()->getFieldDefinition()->getType() == 'password') {
      parent::onSerializeContentField($event);
      if ($values = $event->getFieldData()) {
        foreach ($values['value'] as $langcode => $value) {
          $values['value'][$langcode]['pre_hashed'] = TRUE;
        }
        $event->setFieldData($values);
        $event->stopPropagation();
      }
    }

  }

}
