<?php

namespace Drupal\Tests\acquia_contenthub\Kernel;

/**
 * Class BlockTest.
 *
 * @group acquia_contenthub
 *
 * @package Drupal\Tests\acquia_contenthub\Kernel
 */
class BlockTest extends ImportExportTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = [
    'system',
    'user',
    'node',
    'field',
    'depcalc',
    'acquia_contenthub',
    'block_content',
  ];

  /**
   * Fixture files.
   *
   * @var array
   */
  protected $fixtures = [
    [
      'cdf' => 'block/block1.json',
      'expectations' => 'expectations/block/block_content1.php',
    ],
    [
      'cdf' => 'block/block2.json',
      'expectations' => 'expectations/block/block_content2.php',
    ],
  ];

  /**
   * {@inheritdoc}
   *
   * @throws \Exception
   */
  protected function setUp() {
    parent::setUp();
    $this->installEntitySchema('block_content');
  }

  /**
   * Tests "block_content" Drupal entity.
   *
   * @dataProvider blockDataProvider
   *
   * @param array $args
   *
   * @throws \Drupal\Core\Entity\EntityStorageException
   */
  public function testBlock(...$args) {
    parent::contentEntityImportExport(...$args);
  }

  /**
   * Data provider for testContentEntityImportExport.
   *
   * @return array
   *   Data provider set.
   */
  public function blockDataProvider() {
    return [
      [
        0,
        [
          [
            'type' => 'block_content',
            'uuid' => '6bf9ea86-92ea-498e-bf5f-4c137a767af3',
          ],
        ],
        'block_content',
        '6bf9ea86-92ea-498e-bf5f-4c137a767af3',
      ],
      [
        1,
        [
          [
            'type' => 'block_content',
            'uuid' => '94b4093e-fb02-4d53-8ecc-031f85fd1db2',
          ],
        ],
        'block_content',
        '94b4093e-fb02-4d53-8ecc-031f85fd1db2',
      ],
    ];
  }

}
